package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (试剂耗材出库登记表)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:04
 * @describe (试剂耗材出库登记表) 实体类
 */
@Data
@TableName(value = "delivery_registration_form", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(试剂耗材出库登记表)")
public class DeliveryRegistrationForm extends BaseEntity {

    /**
     * (出库日期)
     */
    @ApiModelProperty(value="(出库日期)")
    private LocalDateTime dateOfDelivery;

    /**
     * (出库人)
     */
    @ApiModelProperty(value="(出库人)")
    private String depositorId;

    /**
     * (出库申请人)
     */
    @ApiModelProperty(value="(出库申请人)")
    private String outgoingApplicantId;

    /**
     * (状态)
     */
    @ApiModelProperty(value="(状态)")
    private Integer status;



    /**
     * deliveryRegistrationFormId
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="id")
    private String id;


}
