package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import io.swagger.models.auth.In;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (服务商/供应商评价表)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:04
 * @describe (服务商/供应商评价表) 实体类
 */
@Data
@TableName(value = "evaluation_form", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(服务商/供应商评价表)")
public class EvaluationForm extends BaseEntity {

    /**
     * (一级评价意见)
     */
    @ApiModelProperty(value="(一级评价意见)")
    private String commentsFromPrimary;

    /**
     * (一级评价时间)
     */
    @ApiModelProperty(value="(一级评价时间)")
    private LocalDate commentsDateFromPrimary;

    /**
     * (二级评价意见)
     */
    @ApiModelProperty(value="(二级评价意见)")
    private String commentsFromSecondary;

    /**
     * (二级评价时间)
     */
    @ApiModelProperty(value="(二级评价时间)")
    private LocalDate commentsDateFromSecondary;

    /**
     * (二级评价结果)
     */
    @ApiModelProperty(value="(二级评价结果)")
    private Boolean  commentsResultFromSecondary;

    /**
     * (三级评价意见)
     */
    @ApiModelProperty(value="(三级评价意见)")
    private String commentsFromThreeLevel;

    /**
     * (三级评价时间)
     */
    @ApiModelProperty(value="(三级评价时间)")
    private LocalDate commentsDateFromThreeLevel;

    /**
     * (三级评价结果)
     */
    @ApiModelProperty(value="(三级评价结果)")
    private Boolean  commentsResultFromThreeLevel;

    /**
     * (联系电话)
     */
    @ApiModelProperty(value="(联系电话)")
    private String contactNumber;

    /**
     * (联系人)
     */
    @ApiModelProperty(value="(联系人)")
    private String contactPerson;

    /**
     * (一级评价人ID)
     */
    @ApiModelProperty(value="(一级评价人ID)")
    private String primaryUserId;

    /**
     * (二级评价人ID)
     */
    @ApiModelProperty(value="(二级评价人ID)")
    private String secondaryUserId;

    /**
     * (三级评价人ID)
     */
    @ApiModelProperty(value="(三级评价人ID)")
    private String threeLevelUserId;


    /**
     * evaluationFormId
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="供应商信息评价表id")
    private String id;

    /**
     * (供应商营业执照)
     */
    @ApiModelProperty(value="(供应商营业执照)")
    private String  supplierBusinessLicense;

    /**
     * (供应商通过质量保证体系)
     */
    @ApiModelProperty(value="(供应商通过质量保证体系)")
    private String supplierPassesQualityAssuranceSystem;

    /**
     * (供应商产品认证)
     */
    @ApiModelProperty(value="(供应商产品认证)")
    private String supplierProductCertification;

    /**
     * (对供应品检验校准效率)
     */
    @ApiModelProperty(value="(对供应品检验校准效率)")
    private String checkAndCalibrateEfficiencyOfSupplies;

    /**
     * (对供应商总体服务是否满意)
     */
    @ApiModelProperty(value="(对供应商总体服务是否满意)")
    private String overallSupplierServiceSatisfaction;

    /**
     * (供应商态度)
     */
    @ApiModelProperty(value="(供应商态度)")
    private String supplierAttitude;

    /**
     * (供应商设备与设施)
     */
    @ApiModelProperty(value="(供应商设备与设施)")
    private String supplierEquipmentAndFacilities;

    /**
     * (供应商技术与管理能力)
     */
    @ApiModelProperty(value="(供应商技术与管理能力)")
    private String supplierTechnologyAndManagementCapability;

    /**
     * (供应商交货是否及时)
     */
    @ApiModelProperty(value="(供应商交货是否及时)")
    private String whetherTheSupplierDeliversOnTime;

    /**
     * supplierInformationId
     */
    @ApiModelProperty(value="供应商ID")
    private String supplierInformationId;

    /**
     * (编号)
     */
    @ApiModelProperty(value="(编号)")
    private String  number;

    @ApiModelProperty(value="(提交时间)")
    private LocalDateTime  commitTime;

    /**
     * supplierInformationId
     */
    @ApiModelProperty(value="状态:(0:未评价,1:已评价,2:二级审核通过,3:三级审核通过, -1 :审核未通过)")
    private Integer status;


}
