package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@TableName(value = "reagent_consumable_stash", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "试剂耗材仓库")
public class ReagentConsumableStash extends BaseEntity {

    @ApiModelProperty(value="纯度等级")
    private String purityGrade;

    @ApiModelProperty(value = "CAS-号")
    private String casNumber;

    @ApiModelProperty(value = "物品编码")
    private String code;

    @ApiModelProperty(value = "名称")
    private String reagentConsumableName;

    @ApiModelProperty(value = "(品牌)")
    private String brand;

    @ApiModelProperty(value = "(类别)")
    private String category;

    @ApiModelProperty(value = "偏差/不确定度")
    private String deviationOrUncertainty;

    @ApiModelProperty(value = "(试剂耗材Id)")
    private String reagentConsumableId;

    @ApiModelProperty(value = "(规格型号)")
    private String specificationAndModel;

    @ApiModelProperty(value = "(种类)")
    private String species;

    @ApiModelProperty(value = "(标准值/纯度)")
    private String standardValueOrPurity;

    @ApiModelProperty(value = "(技术参数)")
    private String technicalParameter;

    @ApiModelProperty(value = "(总数量)")
    private Integer totalQuantity;

    @ApiModelProperty(value = "(包装份数)")
    private Integer packagedCopies;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "Reagent_consumable_stash")
    private String id;

    @ApiModelProperty(value = "单价")
    private Double unitPrice;

    @ApiModelProperty(value = "别名")
    private String alias;

    @ApiModelProperty(value = "存储条件")
    private String storageCondition;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "包装单位")
    private String minimumUnit;

    @ApiModelProperty(value = "英文名")
    private String englishName;

    @ApiModelProperty(value = "房间号")
    private String roomNo;

}
