package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (试剂耗材类)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:05
 * @describe (试剂耗材类) 实体类
 */
@Data
@TableName(value = "reagent_consumables", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(试剂耗材类)")
public class ReagentConsumables extends BaseEntity {

    @ApiModelProperty(value="纯度等级")
    private String purityGrade;
    /**
     * 品牌
     */
    @ApiModelProperty(value="品牌")
    private String brand;

    @ApiModelProperty(value = "CAS-号")
    private String casNumber;

    @ApiModelProperty(value = "物品编码")
    private String code;
    /**
     * 类别
     */
    @ApiModelProperty(value="类别")
    private String category;

    /**
     * 偏差/不确定度
     */
    @ApiModelProperty(value="偏差/不确定度")
    private String deviationOrUncertainty;

    /**
     * 名称
     */
    @ApiModelProperty(value="名称")
    private String reagentConsumableName;

    /**
     * 种类
     */
    @ApiModelProperty(value="种类")
    private String species;

    /**
     * 英文名
     */
    @ApiModelProperty(value="英文名")
    private String englishName;

    /**
     * 规格型号
     */
    @ApiModelProperty(value="规格型号")
    private String specificationAndModel;
    /**
     * 包装份数
     */
    @ApiModelProperty(value="包装份数")
    private Integer packagedCopies;
    /**
     * (标准值/纯度)
     */
    @ApiModelProperty(value="(标准值/纯度)")
    private String standardValueOrPurity;

    /**
     * (技术参数)
     */
    @ApiModelProperty(value="(技术参数)")
    private String technicalParameter;

    /**
     * 单价
     */
    @ApiModelProperty(value="单价")
    private Double unitPrice;

    /**
     * 别名
     */
    @ApiModelProperty(value="别名")
    private String  alias;

    /**
     * 存储条件
     */
    @ApiModelProperty(value="存储条件")
    private String  storageCondition;

    /**
     * 备注
     */
    @ApiModelProperty(value="备注")
    private String  remark;
    /**
     * 包装单位
     */
    @ApiModelProperty(value="包装单位")
    private String  minimumUnit;
    /**
     * 溶液浓度
     */
    @ApiModelProperty(value="溶液浓度")
    private double  configurationConcentration;

    /**
     * reagentConsumablesId
     */
    @TableId(value = "reagent_consumable_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="reagentConsumableId")
    private String reagentConsumableId;


}
