package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import io.swagger.models.auth.In;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (标准储备溶液配制及使用记录表)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:05
 * @describe (标准储备溶液配制及使用记录表) 实体类
 */
@Data
@TableName(value = "standard_reserve_solution", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(标准储备溶液配制及使用记录表)")
public class StandardReserveSolution extends BaseEntity {

    /**
     * (配置浓度(mg/mL))
     */
    @ApiModelProperty(value="(配置浓度(mg/mL))")
    private Double  configurationConcentration;

    /**
     * (预警信息)
     */
    @ApiModelProperty(value="(预警信息)")
    private String  warningInformation;

    /**
     * (配置日期)
     */
    @ApiModelProperty(value="(配置日期)")
    private LocalDateTime configurationDate;

    /**
     * (定容体积（mL）)
     */
    @ApiModelProperty(value="(定容体积（mL）)")
    private Double  constantVolume;
    /**
     * (配制人ID)
     */
    @ApiModelProperty(value="(配制人ID)")
    private String dispenserId;
    /**
     * (标准物质ID)
     */
    @ApiModelProperty(value="(标准物质ID)")
    private String referenceMaterialId;

    @ApiModelProperty(value="(标准溶液ID)")
    private String referenceId;

    /**
     * (标准物质编号)
     */
    @ApiModelProperty(value="(标准物质编号)")
    private String referenceMaterialNumber;

    /**
     * (标准物质称取量)
     */
    @ApiModelProperty(value="(标准物质称取量)")
    private Double referenceMaterialScale;

    /**
     * (备注)
     */
    @ApiModelProperty(value="(备注)")
    private String remarks;
/**
     * (备注)
     */
    @ApiModelProperty(value="(入库备注)")
    private String warehousingRemarks;

    /**
     * (溶液名称)
     */
    @ApiModelProperty(value="(溶液名称)")
    private String solutionName;

    /**
     * (溶液编号)
     */
    @ApiModelProperty(value="(溶液编号)")
    private String solutionNumbering;

    /**
     * (使用溶剂)
     */
    @ApiModelProperty(value="(使用溶剂)")
    private String useOfSolvent;

    /**
     * (有效期限)
     */
    @ApiModelProperty(value="(有效期限)")
    private Integer validityPeriod;
  /**
     * (有效期限)
     */
    @ApiModelProperty(value="(状态：（0：未入库，1：已入库，-1：停止使用）)")
    private Integer status;

    /**
     * standardReserveSolutionId
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="标准储备溶液及使用记录表ID")
    private String id;


}
