package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.reagent.dto.ReagentConsumableInventoryDTO;
import digital.laboratory.platform.reagent.entity.BatchDetails;
import digital.laboratory.platform.reagent.entity.ReagentConsumableInventory;
import digital.laboratory.platform.reagent.entity.ReferenceMaterial;
import digital.laboratory.platform.reagent.vo.*;
import org.springframework.transaction.annotation.Transactional;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 试剂耗材库存服务类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe 试剂耗材库存 服务类
 */
public interface ReagentConsumableInventoryService extends IService<ReagentConsumableInventory> {

    //试剂耗材/标准物质标准物质管理列表
    IPage<ReagentConsumableInventoryVO> getReagentConsumableInventoryREVOList(IPage<ReagentConsumableInventory> page, QueryWrapper<ReagentConsumableInventory> qw, Integer warning);

    ReagentConsumableInventory addById(String reagentConsumableId, Integer quantity);

    ReagentConsumableInventory reduceById(String reagentConsumableId, Integer quantity);

    IPage<ReferenceMaterialFullVO> getAllList(Page page, QueryWrapper<ReferenceMaterial> qw, Integer status, String number);

    ReagentConsumableInventoryFullVO getByCode(String id);

    //分页查询试剂耗材
    IPage<ReagentConsumableInventoryFullVO> getAllRM(IPage<ReagentConsumableInventory> page, QueryWrapper<ReagentConsumableInventory> qw);

    IPage<ReagentConsumableInventoryVO> getReagentConsumableInventoryRMVOList(IPage<ReagentConsumableInventory> page,QueryWrapper<ReagentConsumableInventory>qw,Integer warning);

    List<ReagentConsumableInventoryFullVO> getReagentConsumableInventoryFull(QueryWrapper<ReagentConsumableInventory> qw);

    void referenceMaterialTablePDF(List<ReferenceMaterialVO> voList, String id, HttpServletRequest theHttpServletRequest, HttpServletResponse httpServletResponse) throws Exception;

    //试剂/耗材扫描物品编码进行持久化
    void setCode(String id, String code);

    void setRMCode(String id, String code);

    String buildCodeLabelContent(String code);

    String printSolutionTag(String id);

    List<UserVO> getUserList();

    @Transactional
//盘点导入，需提供柜子系统数据
    void inventoryEntry(List<ReagentConsumableInventoryDTO> reagentConsumableInventoryDTOList);

    //更新柜子系统方法，柜子ID、物品ID、入库OR出库 (opCode 1 or -1)
    void updateCabinet(String latticeId, String itemId, int opCode);

    List<OrgFullVO> getOrgList();

    @Transactional
    boolean updateLocation(BatchDetails batchDetails);

//    List<OrgFullVO> getOrgList();
}
